<?php
namespace Magento\Backend\Block\Dashboard\Tab\Amounts;

/**
 * Interceptor class for @see \Magento\Backend\Block\Dashboard\Tab\Amounts
 */
class Interceptor extends \Magento\Backend\Block\Dashboard\Tab\Amounts implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Reports\Model\ResourceModel\Order\CollectionFactory $collectionFactory, \Magento\Backend\Helper\Dashboard\Data $dashboardData, \Magento\Backend\Helper\Dashboard\Order $dataHelper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $collectionFactory, $dashboardData, $dataHelper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
